Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.classpath
Class ClasspathArchiveEntry

    java.lang.Object
      org.gjt.jclasslib.browser.config.classpath.ClasspathEntry
          org.gjt.jclasslib.browser.config.classpath.ClasspathArchiveEntry

All Implemented Interfaces:
  ClasspathComponent

public class ClasspathArchiveEntry
extends ClasspathEntry

Classpath entry for an archive.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Field Summary

Fields inherited from class org.gjt.jclasslib.browser.config.classpath.ClasspathEntry
`CLASSFILE_SUFFIX`

Constructor Summary
`ClasspathArchiveEntry()`

Method Summary
`FindResult` | `findClass(String className)` Find a class by name within thsi classpath component.
`void` | `mergeClassesIntoTree(DefaultTreeModel model, boolean reset)` Merge all classes in this classpath component into the supplied tree.

Methods inherited from class org.gjt.jclasslib.browser.config.classpath.ClasspathEntry
`addClasspathChangeListener, addOrFindNode, equals, getFile, getFileName, hashCode, removeClasspathChangeListener, setFileName, stripClassSuffix`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathArchiveEntry

    public ClasspathArchiveEntry()

Method Detail

### findClass

    public FindResult findClass(String className)

  Description copied from interface: `ClasspathComponent`
  Find a class by name within thsi classpath component.

  Parameters:
    `className` - the name of the class
  Returns:
    the `FindResult` object. `null` if no class could be found.

### mergeClassesIntoTree

    public void mergeClassesIntoTree(DefaultTreeModel model,
                                     boolean reset)

  Description copied from interface: `ClasspathComponent`
  Merge all classes in this classpath component into the supplied tree.

  Parameters:
    `model` - the tree model.
    `reset` - whether this is an incremental operation or part of a reset. For a reset, no change events will be fired on the tree model.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD